﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

//////////////////////////////////////////////////////////////////
//【Cameraのコントロールに使用するクラス】
// CameraをPlayerの高さ(Y座標)に合わせて移動させる
//////////////////////////////////////////////////////////////////
public class CameraController : MonoBehaviour
{
    /////////////////////////////////
    // 【変数の設定】
    /////////////////////////////////

    //【Unity Editorから設定するPublic変数】
    public GameObject player;  // Scene上のPlayerゲームオブジェクト

    //【このプログラム内で使用するPrivate変数】
    private Vector3 cameraPos;  // Cameraの初期位置


    /////////////////////////////////
    // 【関数の設定】
    /////////////////////////////////

    //【ゲーム開始時に１回だけ動く関数】
    //（Unityの標準関数）
    void Start()
    {
        // Cameraの初期位置を取得
        cameraPos = transform.position;
    }


    //【毎フレームに１度動く関数】
    //（Unityの標準関数）
    void Update()
    {
        // Playerの位置を取得
        Vector3 playerPos = player.transform.position;

        // カメラの高さ(Y座標)をPlayerの高さに合わせて移動させる
        transform.position =
            new Vector3(cameraPos.x, playerPos.y, cameraPos.z);
    }
}
