﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

//////////////////////////////////////////////////////////////////
//【ゲーム全体の管理に使用するクラス】
// ゲームオーバー・ゲームクリア・リスタート処理を実行
// コンティニュー機能、敵を定期的に生成
//////////////////////////////////////////////////////////////////
public class GameController : MonoBehaviour
{
    /////////////////////////////////
    // 【変数の設定】
    /////////////////////////////////

    //【Unity Editorから設定するPublic変数】
    public GameObject text_GameOver;  // ゲームオーバーのUIテキスト
    public GameObject text_GameClear;  // ゲームクリアのUIテキスト

    public bool stopGame = false;  // ゲーム終了ステイタス(他クラスからも使用)


    /////////////////////////////////
    // 【関数の設定】
    /////////////////////////////////

    //【ゲームオーバー時に他のプログラムから呼ばれるゲームオーバー処理の関数】
    public void On_GameOver()
    {
        // ゲームオーバーのUIテキストを表示
        text_GameOver.SetActive(true);

        // ゲーム終了ステイタスを終了にする
        stopGame = true;
    }


    //【ゲームクリア時に他のプログラムから呼ばれるゲームクリア処理の関数】
    public void On_GameClear()
    {
        // ゲームクリアのUIテキストを表示
        text_GameClear.SetActive(true);

        // ゲーム終了ステイタスを終了にする
        stopGame = true;
    }
}
